# mdtraj.load_arc

mdtraj.load_arc(filename, stride=None, atom_indices=None, frame=None, top=None)

  Load a TINKER .arc file from disk.

  Parameters:

    - filename (path-like) – Path of TINKER .arc file.

    - stride (int, default=None) – Only read every stride-th frame

    - atom_indices (array_like, optional) – If not none, then read only a subset of the atoms coordinates from the file.

    - frame (int, optional) – Use this option to load only a single frame from a trajectory on disk. If frame is None, the default, the entire trajectory will be loaded. If supplied, `stride` will be ignored.

    - top ({str, Trajectory, Topology}, optional) – While the ARC format does does contain minimal topology information, it does not include residue information. Pass in either a file path (e.g. to pdb), a trajectory, or a topology object to supply this information.

  Returns:

    trajectory – The resulting trajectory, as an md.Trajectory object.

  Return type:

    md.Trajectory

  See also

  `mdtraj.ArcTrajectoryFile`

    Low level interface to TINKER .arc files